# Loki::CloneFactory< AbstractProduct, ProductCreator, FactoryErrorPolicy > Class Template Reference
[Clone Factory]

Creates a copy from a polymorphic object. More...

`#include <Factory.h>`

List of all members.

## Detailed Description

### template<class AbstractProduct, class ProductCreator = AbstractProduct* (*)(const AbstractProduct*), template< typename, class > class FactoryErrorPolicy = DefaultFactoryError>
class Loki::CloneFactory< AbstractProduct, ProductCreator, FactoryErrorPolicy >

Creates a copy from a polymorphic object.

The documentation for this class was generated from the following file:

- Factory.h